| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Signals | Public Member Functions | Protected Slots | Protected Member Functions | List of all members
Digikam::HTMLWidget Class Reference
Inheritance diagram for Digikam::HTMLWidget:

## Signals
void | selectionHasBeenMade (const Digikam::GeoCoordinates::Pair &coordinatesRect)
void | signalHTMLEvents (const QStringList &events)
void | signalJavaScriptReady ()
void | signalMessageEvent (const QString &message)

## Public Member Functions
| HTMLWidget (QWidget *const parent=nullptr)
void | centerOn (const qreal west, const qreal north, const qreal east, const qreal south, const bool useSaneZoomLevel=true)
void | loadInitialHTML (const QString &initialHTML)
void | mouseModeChanged (const GeoMouseModes mouseMode)
void | removeSelectionRectangle ()
QVariant | runScript (const QString &scriptCode, bool async=true)
| Wrapper around executeScript to catch more errors.
bool | runScript2Coordinates (const QString &scriptCode, GeoCoordinates *const coordinates)
| Execute a script which returns coordinates and parse these.
void | setSelectionRectangle (const GeoCoordinates::Pair &searchCoordinates)
void | setSharedGeoIfaceObject (GeoIfaceSharedData *const sharedData)

## Protected Slots
void | progress (int progress)
void | slotHTMLCompleted (bool ok)

## Protected Member Functions
bool | eventFilter (QObject *, QEvent *) override